System.Web 2.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Property, AllowMultiple=false, Inherited=true)

The attribute is applied to a property to specify whether the property supports device filtering. When a property supports device filtering, you can override the value of a property for a specific device by specifying a device filter. By default, properties are filterable, so a control developer could prevent device filtering on a property by setting the attribute to false. For more information, see Customizing for Specific Devices.

For more information about using attributes, see Extending Metadata Using Attributes.

For a list of initial property values for an instance of the class, see the constructor.

Specifies whether the property to which the attribute is applied supports device filtering. This class cannot be inherited.

- Constructor

  Use this constructor to create a new instance of the class. The following table shows the initial property value for an instance of the class.

  Property

  Initial Value

  The value of the parameter.

  Initializes a new instance of the class.

  true to indicate that the property to which the attribute is applied supports device filtering; otherwise, false.
  2.0.0.0
- Field
  System.Web.UI.FilterableAttribute

  The field represents a predefined object with default property settings. This field is often used when comparing a object to the predefined object.

  The field is identical to the object represented by the field.

  Represents a predefined object with default property settings. This field is read-only.

  2.0.0.0
- Method
  System.Boolean ``

  Use the method to determine whether the current instance of the class is equal to the specified object. For the objects to be equal, they must meet the following criteria:

  The object contained in the parameter must be a object.

  The property of both objects must be equal.

  This method is used primarily by control developers.

  Determines whether the current instance of the class is equal to the specified object.

  true if the object contained in the parameter is equal to the current instance of the object; otherwise, false.

  The to compare with this instance. 2.0.0.0
- Property
  System.Boolean To be added.

  Use the property to determine whether the property to which the attribute is applied supports device filtering. When a property supports device filtering, you can override the value of a property for a specific device by specifying a device filter. For more information, see Customizing for Specific Devices.

  Gets a value indicating whether the property to which the attribute is applied supports device filtering.

  2.0.0.0
- Method
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

  2.0.0.0
- Method
  System.Boolean

  The method is a helper method used by ASP.NET to determine whether the current instance of the class is equal to the object contained in the field.

  Determines whether the current instance of the class is equal to the attribute.

  true if the current instance of is equal to ; otherwise, false.

  2.0.0.0
- Method
  System.Boolean `` To be added.

  Use the method to determine whether the specified supports device filtering.

  An object supports device filtering if its data type supports device filtering. For more information, see the property.

  Determines whether the specified supports device filtering.

  true if the contained in the parameter supports device filtering; otherwise, false.

  2.0.0.0
- Method
  System.Boolean `` To be added.

  Use the method to determine whether a property supports device filtering. To use this method, you must pass in a object that contains the properties of the property to test.

  Determines whether a property supports device filtering.

  true if the property represented by the object contained in the parameter supports device filtering; otherwise, false.

  2.0.0.0
- Method
  System.Boolean ``

  Use the method to determine whether the specified type supports device filtering. A type supports device filtering if it has a attribute applied to it.

  Determines whether the specified data type supports device filtering.

  true if the data type contained in the parameter supports device filtering; otherwise, false.

  A that represents the data type to test. 2.0.0.0
- Field
  System.Web.UI.FilterableAttribute

  The field represents a predefined object that indicates that a property does not support device filtering. This field is often used when comparing a object to the predefined object.

  Represents a predefined object that indicates that a property does not support device filtering. This field is read-only.

  2.0.0.0
- Field
  System.Web.UI.FilterableAttribute

  The field represents a predefined object that indicates that a property supports device filtering. This field is often used when comparing a object to the predefined object.

  This is the default object.

  Represents a predefined object that indicates that a property supports device filtering. This field is read-only.

  2.0.0.0